<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDefaultPercentagesToQuizAnswers extends TableMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->integer('default_percentage')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->dropColumn('default_percentage');
        });
    }

    public function tableName(): string
    {
        return "quiz_answers";
    }
}
