<?php

namespace Drp\NativeEventApp\Exceptions;

use GraphQL\Error\ClientAware;
use Nuwave\Lighthouse\Exceptions\RendersErrorsExtensions;

class UserCouldNotBeAuthenticated extends \Exception implements ClientAware, RendersErrorsExtensions
{
    public function isClientSafe(): bool
    {
        return true;
    }

    public function getCategory(): string
    {
        return 'auth';
    }

    public function extensionsContent(): array
    {
        return [
            'hint' => $this->getPrevious()->getHint(),
        ];
    }
}
