<?php

namespace Drp\NativeEventApp\GraphQL\Mutations;

use GraphQL\Type\Definition\ResolveInfo;
use Laravel\Passport\Bridge\AccessTokenRepository;
use Lcobucci\JWT\Parser;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class Logout
{
    //phpcs:ignore
    public function __invoke($rootValue, array $args, ?GraphQLContext $context = null, ResolveInfo $resolveInfo): array
    {
        $header = $context->request()->headers->get('Authorization', '', true);
        $jwt = trim(preg_replace('/^(?:\s+)?Bearer\s/', '', $header));
        $token = (new Parser())->parse($jwt);

        app(AccessTokenRepository::class)->revokeAccessToken($token->getClaim('jti'));

        return [
            'status' => 'TOKEN_REVOKED',
            'message' => 'Your session has been terminated',
        ];
    }
}
