<?php

namespace Drp\NativeEventApp\Models;

use Drp\NativeEventApp\Database\TableName;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Segment extends Model
{
    protected $table = 'segments';

    public function registrations(): BelongsToMany
    {
        return $this->belongsToMany(
            Registration::class,
            TableName::make('segments_registrations'),
            'segment_id',
            'registration_id'
        );
    }

    public function notifications(): BelongsToMany
    {
        return $this->belongsToMany(
            Notification::class,
            TableName::make('notification_segments'),
            'segment_id',
            'notification_id'
        );
    }
}
