<?php

namespace Drp\NativeEventApp\Test\Support\Fakes\Modules;

use Drp\NativeEventApp\Modules\Module;
use Illuminate\Support\Arr;

class FakeModule extends Module
{
    /** @var ?string */
    public $text;

    /** @var ?string */
    public $other;


    static public function getDescription(): string
    {
        return 'Fake module';
    }

    public function setContent(array $content): Module
    {
        return $this
            ->text(Arr::get($content, 'text'))
            ->other(Arr::get($content, 'other'));
    }

    public function text($text): self
    {
        $this->text = $text;

        return $this;
    }

    public function other($other)
    {
        $this->other = $other;

        return $this;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    public function getOther(): ?string
    {
        return $this->other;
    }
}