<?php

namespace Drp\NativeEventApp\Test\Support;

use Drp\NativeEventApp\GraphQL\Mutations\BaseAuthResolver;
use Illuminate\Support\Str;
use Laravel\Passport\AuthCode;

class TokenGenerator extends BaseAuthResolver
{
    public function createToken(AuthCode $authCode, string $authIdentifier): array
    {
        $request = $this->buildTokenRequest([
            'code' => $authCode->id,
            'auth_identifier' => $authIdentifier,
            'device_id' => Str::uuid(),
        ], 'authorization_token');

        return $this->getResponse($request);
    }
}
